当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [求助] JAVA环境配置问题
帖子发表于 : 2007-06-22 0:48 
头像

注册: 2007-05-24 13:58
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
最近想把java转移到ubuntu下来开发,可是环境配置却出了问题,网上一大堆关于linux下java环境配置的解答,可我这里就是没有办法解决,在一个shell窗口下边配置java环境后能够运行java程序,可是在/home/用户名/.bashrc以及/etc/profile下根据网上一样的配置,然后重启后却没有配置成功,我的jdk是jdk1.5.0_12,不知道各位有没有遇到过同样的情况


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-06-28 17:01 
头像

注册: 2006-06-27 16:37
帖子: 88
地址: china
送出感谢: 0 次
接收感谢: 0 次
建议改home下的配置,不要该etc下的配置,ubuntu的java环境可以通过软件管理器轻松安装


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-07-21 13:40 
头像

注册: 2007-07-10 15:25
帖子: 192
地址: jssz
送出感谢: 0 次
接收感谢: 0 次
JDK配制有:
修改文件:/etc/profile

在done下面开一行进行如下输入:

JAVA_HOME=/usr/java/jdk1.6.0
export JAVA_HOME
PATH=$JAVA_HOME/bin:$PATH
export PATH
CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar
export CLASSPATH

注意我自己的是1.6.0的JDK,和安装路径,请LZ自己修改!


_________________
人在江湖,怎能不挨;为了能活,唯有把己!fighting...

HP V3706
T5450 2G GF8400GS 128M

u8.04+VBOX(xp)


最后由 走刀口→超 编辑于 2007-07-22 10:30,总共编辑了 1 次

页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-07-21 16:32 
头像

注册: 2006-05-03 0:39
帖子: 8273
地址: المريخ
送出感谢: 0 次
接收感谢: 1
1. 删除原先所做的所有配置
2. 按照这个帖子做:
http://forum.ubuntu.org.cn/viewtopic.php?t=65407


_________________
PHP是最好的语言!不服来战!


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-07-22 16:38 

注册: 2006-03-30 21:04
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
需要吗?java不是从5开始就可以自动配置了吗?而且我用elcipse作为集成环境 所以可以不用配置


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-07-26 13:33 

注册: 2006-07-14 15:44
帖子: 65
送出感谢: 0 次
接收感谢: 0 次
export JAVA_HOME=/home/yourname/jdk1.5.0
export PATH=$JAVA_HOME/bin:$PATH
export CLASSPATH=.:$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/rt.jar

如果不是通过apt-get安装的JDK,而是通过.bin安装的。
在$JAVA_HOME/jar/lib/fonts目录下创建一个fallback文件夹,然后COPY一款中文字体在里面去。
就可以解决中文问题了


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-08-16 16:47 

注册: 2007-08-12 15:06
帖子: 33
送出感谢: 0 次
接收感谢: 0 次
不用配置阿,5和6都是安装不改变路径就默认是配置好的阿


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-08-17 13:19 
头像

注册: 2007-08-03 12:26
帖子: 83
送出感谢: 0 次
接收感谢: 0 次
不加任何环境变量 一样能用eclipse,甚至连 jdk都不用 apt-get 嘿嘿


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-08-17 23:04 
头像

注册: 2007-01-18 18:05
帖子: 245
地址: Shanghai
送出感谢: 0 次
接收感谢: 0 次
jomper 写道:
不加任何环境变量 一样能用eclipse,甚至连 jdk都不用 apt-get 嘿嘿

你用的是系统ubuntu自带的1.4.2版本的吧,这个可能在很多地方不合适。现在差不多都以1.5的为平台了。不过能在源里直接安装到,,,,也不麻烦了。


_________________
Dell Inspiron 1501
Xubuntu&Lubuntu 11.10

Ade, Gnome3, Ade, Unity!

随心所欲不逾矩


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-08-18 10:01 
头像

注册: 2007-08-03 12:26
帖子: 83
送出感谢: 0 次
接收感谢: 0 次
iridiumcao 写道:
jomper 写道:
不加任何环境变量 一样能用eclipse,甚至连 jdk都不用 apt-get 嘿嘿

你用的是系统ubuntu自带的1.4.2版本的吧,这个可能在很多地方不合适。现在差不多都以1.5的为平台了。不过能在源里直接安装到,,,,也不麻烦了。


不是啊,我是用的jdk1.5.12,[url=手动安装JDK]http://forum.ubuntu.org.cn/viewtopic.php?t=70239[/url]


最后由 jomper 编辑于 2007-08-18 13:38,总共编辑了 1 次

页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-08-18 12:41 
头像

注册: 2007-01-18 18:05
帖子: 245
地址: Shanghai
送出感谢: 0 次
接收感谢: 0 次
jomper 写道:
iridiumcao 写道:
jomper 写道:
不加任何环境变量 一样能用eclipse,甚至连 jdk都不用 apt-get 嘿嘿

你用的是系统ubuntu自带的1.4.2版本的吧,这个可能在很多地方不合适。现在差不多都以1.5的为平台了。不过能在源里直接安装到,,,,也不麻烦了。


不是啊,我是用的jdk1.5.12,[url 手动安装JDK]http://forum.ubuntu.org.cn/viewtopic.php?t=70239[/url]


请查看
http://forum.ubuntu.org.cn/viewtopic.php?t=70239
第四楼的附件,我就按照那份pdf的介绍来做的,结果就没问题了。


_________________
Dell Inspiron 1501
Xubuntu&Lubuntu 11.10

Ade, Gnome3, Ade, Unity!

随心所欲不逾矩


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-09-04 20:12 
头像

注册: 2007-05-24 13:58
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
已经搞好了,忘记还有这个帖子了,不好意思啊


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2008-07-29 23:50 

注册: 2008-04-28 16:32
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
你们不要以为能打开eclipse就是配置好了。。。
eclipse能打开是因为它设计的比较智能吧。。
运行一个jar的文件看看。。。
很多是不能的。。
因为路径没有配置好。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译